Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.util
Class JboSQLUtil

    java.lang.Object
      |
      +--oracle.jbo.server.util.JboSQLUtil

public class JboSQLUtil
extends java.lang.Object

Version:
  INTERNAL

Field Summary
`static char` | `CH_IDENT_DELIM`
`static char` | `CH_STRING_DELIM`
`static int` | `INDX_ASC`
`static int` | `INDX_BY`
`static int` | `INDX_DESC`
`static int` | `INDX_DISTINCT`
`static int` | `INDX_FROM`
`static int` | `INDX_GROUP`
`static int` | `INDX_HAVING`
`static int` | `INDX_ORDER`
`static int` | `INDX_SELECT`
`static int` | `INDX_UNKNOWN`
`static int` | `INDX_WHERE`
`static java.lang.String[]` | `keyWords`

Constructor Summary
`JboSQLUtil()`

Method Summary
`static java.lang.String` | `extractSelectFrom(java.lang.String stmt)`
`static int` | `keyWordIndx(java.lang.String s)`
`static JboToken[]` | `lexBreak(java.lang.String sqlStmt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CH_IDENT_DELIM

    public static final char CH_IDENT_DELIM

### CH_STRING_DELIM

    public static final char CH_STRING_DELIM

### INDX_UNKNOWN

    public static final int INDX_UNKNOWN

### INDX_SELECT

    public static final int INDX_SELECT

### INDX_FROM

    public static final int INDX_FROM

### INDX_WHERE

    public static final int INDX_WHERE

### INDX_ORDER

    public static final int INDX_ORDER

### INDX_BY

    public static final int INDX_BY

### INDX_GROUP

    public static final int INDX_GROUP

### INDX_HAVING

    public static final int INDX_HAVING

### INDX_ASC

    public static final int INDX_ASC

### INDX_DESC

    public static final int INDX_DESC

### INDX_DISTINCT

    public static final int INDX_DISTINCT

### keyWords

    public static final java.lang.String[] keyWords

Constructor Detail

### JboSQLUtil

    public JboSQLUtil()

Method Detail

### keyWordIndx

    public static int keyWordIndx(java.lang.String s)

### lexBreak

    public static JboToken[] lexBreak(java.lang.String sqlStmt)

### extractSelectFrom

    public static java.lang.String extractSelectFrom(java.lang.String stmt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD